import es, dnd, math
from dnd import dnd

def player_death(ev):
    victim = dnd.Player(ev['userid'])
    attacker = dnd.Player(ev['attacker'])
    dnd.dndDebug('Teams: %s %s'%(attacker.Team, victim.Team))
    if attacker.Team != victim.Team and int(ev['attacker']) > 0:
        attacker.addKills()
        attacker.giveXp(int(es.ServerVar('dndkillxp')), 'for getting a kill')
        if victim.getLevel() > attacker.getLevel():
            attacker.giveXp(int(es.ServerVar('highxp')) * (victim.getLevel() - attacker.getLevel()), 'for killing a higher-level')
        if int(ev['headshot']):
            attacker.giveXp(int(es.ServerVar('dndheadshotxp')), 'for getting a headshot')
        if ev['weapon'] == 'knife':
            attacker.giveXp(int(es.ServerVar('knifexp')), 'for getting a knife kill')
        if ev['weapon'] == 'hegrenade':
            attacker.giveXp(int(es.ServerVar('grenadexp')), 'for getting a grenade kill')
        if victim.getKills() > 1 and victim.getKills < 5:
            dndTell(victim.userid, 'You had %s kills before dieing'%victim.getKills())
        if victim.getKills() > 4:
            dnd.dndMsg('%s had %s kills before dieing, and was worth %s xp!'%(victim.Name, victim.getKills(), victim.getKills() * int(es.ServerVar('bountyxp'))))
            attacker.giveXp(victim.getKills() * int(es.ServerVar('bountyxp')), 'for collecting a bounty')
        if attacker.getKills() > 4:
            dnd.dndMsg('%s is on a killing spree! He is now worth %s xp!'%(attacker.Name, attacker.getKills() * int(es.ServerVar('bountyxp'))))            
            attacker.giveXp((attacker.getKills() - 4) * int(es.ServerVar('killspreexp')), 'for having a killing spree!')
        victim.setKills(0)
    if attacker.Team == victim.Team and int(ev['attacker']) > 0:
        attacker.giveXp(-int(es.ServerVar('teamkillxp')), 'for killing a team mate')
        
def game_end(ev):
    for userid in es.getUseridList():
        dnd.Player(userid).setKills(0)
