import es, dnd, gamethread, playerlib
from dnd import dnd

def player_spawn(ev):
    userid = dnd.Temp(ev['userid'])
    dnd.dndDebug(userid.get('stealth'))
    if userid.get('stealth') < 200:
        gamethread.delayed(1, dnd.stealth, userid.Player)
    gamethread.delayed(1, dnd.heal, (userid.Player, 0))
    weapon_check(ev['userid'])
        
def item_pickup(ev):
    userid = ev['userid']
    weapon_check(ev['userid'])

def weapon_check(userid):
    Class = dnd.Player(userid).getClass()
    level = dnd.Player(userid).getLevel()
    player = playerlib.getPlayer(userid)
    primary_weapon = str(player.getPrimary())
    secondary_weapon = str(player.getSecondary())
    if Class == 'Fighter':
        if primary_weapon.replace('weapon_', '') in ['sg550', 'g3sg1']:
            remove_weapon(userid, 1)
        if level < 11:
            if 'awp' in primary_weapon:
                remove_weapon(userid, 1)                
                es.cexec(userid, 'slot2')
    
    
def remove_weapon(userid, slot):
    player = playerlib.getPlayer(userid)
    index = None
    if slot == 1:
        index = player.getWeaponIndex(player.getPrimary())
        es.cexec(userid, 'use %s'%player.getPrimary())
    if slot == 2:
        index = player.getWeaponIndex(player.getSecondary())
        es.cexec(userid, 'use %s'%player.getSecondary())
    if index:
        es.cexec(userid, 'slot2')
        es.entitysetvalue(index, 'targetname', 'remove_weapon')
        es.server.insertcmd('es_xfire %s remove_weapon Kill' % userid)
        dnd.dndTell(userid, 'Your class can not use a %s'%player.getPrimary().replace('weapon_', ''))